@font-face {
  font-family: Monocraft-custom;
  src: /*local("Monocraft"),*/
    url("/assets/fonts/Monocraft.ttc") format("collection"),
    url("/assets/fonts/Monocraft.otf") format("opentype"),
    url("/assets/fonts/Monocraft.ttf") format("truetype");
}

@font-face {
  font-family: "Monocraft No Ligatures";
  src: url("/assets/fonts/Monocraft-no-ligatures.ttc") format("collection");
}

* {
  font: inherit;
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  min-width: 0;
  appearance: none;
  outline: 0 transparent none;
  border: 0 transparent none;
  background: transparent none;
  color: currentColor;
  text-decoration: 0 transparent none;
  text-underline-offset: 3px;
}

:root {
  --cl-blue: #88a8ee;
  --cl-cyan: #88e8ee;
  --cl-pinku: #ee78c8;
  --cl-orange: #f4a586;
  --cl-text-rgb: 245 239 242;
  --cl-text: rgb(var(--cl-text-rgb));
  --bg: #1b1c28;
  --dim: .65;

  /* //////////////////////////////////////// */

  font: 150% Monocraft-custom, "Monocraft No Ligatures", monospace;
  color-scheme: dark;
  color: var(--cl-text);
  line-height: 1.5;
}

@media screen and (width <= 800px) {
  :root {
    font-size: 120%;
  }
}

@media screen and (width <= 400px) {
  :root {
    font-size: 100%;
  }
}

html, body { background: var(--bg) }
body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.pinku  { color: var(--cl-pinku)  }
.orange { color: var(--cl-orange) }
.blue   { color: var(--cl-blue)   }
.cyan   { color: var(--cl-cyan)   }
.dim {
  color: rgb(var(--cl-text-rgb) / var(--dim));
}

@media screen and (hover: hover) {
  .wut\? {
    text-decoration: underline 2px dotted;
    cursor: help;
  }
}

.select-all {
  user-select: all;
}

i { opacity: var(--dim) }

small { font-size: .7em }

h1, h2 {
  font-size: 1.1em;
  text-wrap: balance;
}

p { text-wrap: pretty }

h1 {
  text-align: center;
  margin-bottom: .8em;
}

.face .eye-l, .face .eye-r { transition: ease 100ms color }
.face:hover .eye-r { color: #ff00ff }
.face:hover .eye-l { color: #ffff00 }

header {
  padding-inline: 1.5em;
  padding-block: 1em;
  background: #0002;
  border-bottom: 2px rgb(var(--cl-text-rgb) / .1) solid;
}

nav { display: flex }

nav ul {
  flex: 1;
  list-style: none;

  display: flex;
  align-items: center;
  justify-content: center;
}

nav ul a {
  display: inline-block;
  margin-block: -1em;
  padding: 1em;
}

@media screen and (hover: hover) {
  nav ul a:hover {
    scale: 1.05;
  }

  nav ul:not(:has(a:not(.active):hover)) a.active {
    color: var(--cl-blue);
  }

  a:hover {
    text-decoration: underline 2px;
    color: var(--cl-blue);
  }
}

a:focus-visible {
  text-decoration: underline 2px;
  color: var(--cl-blue);
}

@media screen and not (hover: hover) {
  nav ul a.active {
    color: var(--cl-blue);
  }
}

main a {
  color: var(--cl-blue);
}

nav ul a::after {
  display: inline-block;
  content: '/';
  opacity: var(--dim);
  text-decoration: transparent;
}

main a[target=_blank]::after {
  display: inline-block;
  content: '';
  width: 16px;
  height: 16px;
  aspect-ratio: 1;
  background: currentColor;
  mask: url("./assets/img/_blank.png");
  transform-origin: bottom left;
  translate: 1px 2px;
  margin-right: 2px;
}

main {
  flex: 1;
  padding: 1.5em;
}

main h2, .projects-flex > div > h3 {
  margin-bottom: .5em;
  padding-bottom: .25em;
  border-bottom: rgb(var(--cl-text-rgb) / .1) solid
}
main h2::before, .projects-flex > div > h3::before {
  content: '✿ ';
  color: var(--cl-pinku);
}

main section + section {
  margin-top: 1em;
}

code {
  display: inline-block;
  color: var(--cl-orange);
  background: #0003;
  border: 2px  rgb(var(--cl-text-rgb) / .1) solid;
  padding: .5em .8em;
  text-wrap: wrap;
  line-break: loose;
  word-break: break-all;
  cursor: pointer;
}
@media screen and (hover: hover) {
  code:hover {
    border-color: var(--cl-orange);
  }
}

footer {
  padding-inline: 1.5em;
  padding-block: 1.5em;
  background: #0002;
  border-top: 2px rgb(var(--cl-text-rgb) / .12) solid;
}

footer .girlflux-flag {
  display: grid;
  margin-block: 1.5em;
  grid-template-columns: repeat(7, 1fr);
  height: 4px;
}

footer p {
  text-align: center;
}

footer .link-list {
  margin-bottom: 1em;
}

.link-list {
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

.link-list a {
  padding: 1em;
}

.link-list a svg {
  width: 1.5em;;
}

.donate-flex, .projects-flex {
  display: flex;
  margin-block: 1em;
  flex-direction: column;
  justify-content: center;
  gap: 1em;
}

.donate-flex {
  display: grid;
  grid-template-columns: auto 1fr;
}

.donate-flex a {
  width: fit-content;
}

.projects-flex > div {
  padding: 1.5em;
  background: #0003;
  border: rgb(var(--cl-text-rgb) / .12) 2px solid;
}

@media screen and (hover: hover) {
  .projects-flex > div:hover {
    border-color: var(--cl-orange);
    scale: 1.01;
  }
}

.projects-flex > div > h3::before {
  color: var(--cl-orange);
}

hr {
  margin-block: .5em;
  border-bottom: rgb(var(--cl-text-rgb) / .1) solid
}
